ansible-lint-4.1.0-2-any.pkg.tar.xz


Advertisement

Description

ansible-lint - Checks playbooks for practices and behaviour that could potentially be improved

Property Value
Distribution Arch Linux
Repository Arch Linux Community x86_64
Package filename ansible-lint-4.1.0-2-any.pkg.tar.xz
Package name ansible-lint
Package version 4.1.0
Package release 2
Package architecture any
Package type xz
Homepage https://github.com/willthames/ansible-lint
License MIT
Maintainer Felix Yan <felixonmars@archlinux.org>
Download size 58.84 KB
Installed size 267.83 KB

Alternatives

Package Version Architecture Repository
ansible-lint - - -

Requires

Name Value
ansible -
python -
python-ruamel-yaml -

Download

Type URL
Mirror ftp5.gwdg.de
Binary Package ansible-lint-4.1.0-2-any.pkg.tar.xz
Source Package ansible-lint

Install Howto

  1. Enable the community repository on /etc/pacman.conf:
    
    [community]
    Include = /etc/pacman.d/mirrorlist
    
  2. Install ansible-lint xz package:
    # pacman -Sy ansible-lint

Files

Path
/usr/
/usr/bin/ansible-lint
/usr/lib/
/usr/lib/python3.8/
/usr/lib/python3.8/site-packages/
/usr/lib/python3.8/site-packages/ansible_lint-4.1.0-py3.8.egg-info/PKG-INFO
/usr/lib/python3.8/site-packages/ansible_lint-4.1.0-py3.8.egg-info/SOURCES.txt
/usr/lib/python3.8/site-packages/ansible_lint-4.1.0-py3.8.egg-info/dependency_links.txt
/usr/lib/python3.8/site-packages/ansible_lint-4.1.0-py3.8.egg-info/entry_points.txt
/usr/lib/python3.8/site-packages/ansible_lint-4.1.0-py3.8.egg-info/not-zip-safe
/usr/lib/python3.8/site-packages/ansible_lint-4.1.0-py3.8.egg-info/requires.txt
/usr/lib/python3.8/site-packages/ansible_lint-4.1.0-py3.8.egg-info/top_level.txt
/usr/lib/python3.8/site-packages/ansiblelint/__init__.py
/usr/lib/python3.8/site-packages/ansiblelint/__main__.py
/usr/lib/python3.8/site-packages/ansiblelint/generate_docs.py
/usr/lib/python3.8/site-packages/ansiblelint/utils.py
/usr/lib/python3.8/site-packages/ansiblelint/version.py
/usr/lib/python3.8/site-packages/ansiblelint/__pycache__/__init__.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/__pycache__/__init__.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/__pycache__/__main__.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/__pycache__/__main__.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/__pycache__/generate_docs.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/__pycache__/generate_docs.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/__pycache__/utils.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/__pycache__/utils.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/__pycache__/version.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/__pycache__/version.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/formatters/__init__.py
/usr/lib/python3.8/site-packages/ansiblelint/formatters/__pycache__/__init__.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/formatters/__pycache__/__init__.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/AlwaysRunRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/BecomeUserWithoutBecomeRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/CommandHasChangesCheckRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/CommandsInsteadOfArgumentsRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/CommandsInsteadOfModulesRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/ComparisonToEmptyStringRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/ComparisonToLiteralBoolRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/DeprecatedModuleRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/EnvVarsInCommandRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/GitHasVersionRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/LineTooLongRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/MercurialHasRevisionRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/MetaChangeFromDefaultRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/MetaMainHasInfoRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/MetaTagValidRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/MetaVideoLinksRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/NoFormattingInWhenRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/NoTabsRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/OctalPermissionsRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/PackageIsNotLatestRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/PlaybookExtension.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/RoleRelativePath.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/ShellWithoutPipefail.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/SudoRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/TaskHasNameRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/TaskNoLocalAction.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/TrailingWhitespaceRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/UseCommandInsteadOfShellRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/UseHandlerRatherThanWhenChangedRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/UsingBareVariablesIsDeprecatedRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/VariableHasSpacesRule.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/__init__.py
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/AlwaysRunRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/AlwaysRunRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/BecomeUserWithoutBecomeRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/BecomeUserWithoutBecomeRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/CommandHasChangesCheckRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/CommandHasChangesCheckRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/CommandsInsteadOfArgumentsRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/CommandsInsteadOfArgumentsRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/CommandsInsteadOfModulesRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/CommandsInsteadOfModulesRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/ComparisonToEmptyStringRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/ComparisonToEmptyStringRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/ComparisonToLiteralBoolRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/ComparisonToLiteralBoolRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/DeprecatedModuleRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/DeprecatedModuleRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/EnvVarsInCommandRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/EnvVarsInCommandRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/GitHasVersionRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/GitHasVersionRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/LineTooLongRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/LineTooLongRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/MercurialHasRevisionRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/MercurialHasRevisionRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/MetaChangeFromDefaultRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/MetaChangeFromDefaultRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/MetaMainHasInfoRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/MetaMainHasInfoRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/MetaTagValidRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/MetaTagValidRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/MetaVideoLinksRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/MetaVideoLinksRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/NoFormattingInWhenRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/NoFormattingInWhenRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/NoTabsRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/NoTabsRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/OctalPermissionsRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/OctalPermissionsRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/PackageIsNotLatestRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/PackageIsNotLatestRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/PlaybookExtension.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/PlaybookExtension.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/RoleRelativePath.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/RoleRelativePath.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/ShellWithoutPipefail.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/ShellWithoutPipefail.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/SudoRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/SudoRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/TaskHasNameRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/TaskHasNameRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/TaskNoLocalAction.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/TaskNoLocalAction.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/TrailingWhitespaceRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/TrailingWhitespaceRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/UseCommandInsteadOfShellRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/UseCommandInsteadOfShellRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/UseHandlerRatherThanWhenChangedRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/UseHandlerRatherThanWhenChangedRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/UsingBareVariablesIsDeprecatedRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/UsingBareVariablesIsDeprecatedRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/VariableHasSpacesRule.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/VariableHasSpacesRule.cpython-38.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/__init__.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/ansiblelint/rules/__pycache__/__init__.cpython-38.pyc
/usr/share/
/usr/share/licenses/
/usr/share/licenses/ansible-lint/LICENSE

See Also

Package Description
antiword-0.37-7-x86_64.pkg.tar.xz A free MS Word reader for Linux and RISC OS
antlr4-runtime-4.7.2-1-x86_64.pkg.tar.xz Antlr C++ runtime
apcupsd-3.14.14-4-x86_64.pkg.tar.xz Power mangement and controlling most of APC's UPS models
apitrace-8.0-1-x86_64.pkg.tar.xz Graphics API Tracing
apm-2.4.5-1-x86_64.pkg.tar.xz Atom package manager
apper-1.0.0-3-x86_64.pkg.tar.xz An application and package manager using PackageKit
appmenu-gtk-module-0.7.3-1-x86_64.pkg.tar.xz Application Menu GTK+ Module
appstream-generator-0.8.0-2-x86_64.pkg.tar.xz A fast AppStream metadata generator
aqbanking-5.8.2-1-x86_64.pkg.tar.xz A library for online banking and financial applications
arandr-0.1.10-4-any.pkg.tar.xz Provide a simple visual front end for XRandR 1.2
arb-2.17.0-1-x86_64.pkg.tar.xz C library for arbitrary-precision floating-point ball arithmetic
arc-gtk-theme-20190917-1-any.pkg.tar.xz A flat theme with transparent elements for GTK 3, GTK 2 and Gnome-Shell
arc-icon-theme-20161122-2-any.pkg.tar.xz Arc icon theme. Official releases only
arc-kde-20180614-3-any.pkg.tar.xz Arc theme for KDE Plasma 5
arc-solid-gtk-theme-20190917-1-any.pkg.tar.xz A flat theme for GTK 3, GTK 2 and Gnome-Shell (without transparency)
Advertisement
Advertisement